#!/bin/sh
TOOLDIR="$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

#echo "running corr"
#echo $PWD

module () {
   eval `/usr/bin/modulecmd bash $*`
}

if [ -f /biosw/modules/init/modules-env.sh ]; then
	module load R/3.0.0 
fi;

cp $TOOLDIR/corr.R $PWD

./corr.R "$@" > err.log 2>&1

if [ $? -eq 0 ] 
then
   echo 'correlation result'
   exit 0
else
   cat err.log >&2
   exit 1
fi
